﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace Atlas.Extensions
{
    public class HttpStatusCodeResult : ActionResult
    {
        private readonly int code;
        private readonly string body;

        public HttpStatusCodeResult(int code)
        {
            this.code = code;
            this.body = String.Empty;
        }

        public HttpStatusCodeResult(int code, string body)
        {
            this.code = code;
            this.body = body;
        }

        public override void ExecuteResult(ControllerContext context)
        {
            if (!String.IsNullOrEmpty(body))
            {
                context.HttpContext.Response.Write(body);
            }   //if
            context.HttpContext.Response.StatusCode = code;            
        }
    }
}
