﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Web.Routing;

namespace Atlas
{
    // Note: For instructions on enabling IIS6 or IIS7 classic mode, 
    // visit http://go.microsoft.com/?LinkId=9394801

    public class MvcApplication : System.Web.HttpApplication
    {
        public static void RegisterRoutes(RouteCollection routes)
        {
            routes.IgnoreRoute("{resource}.axd/{*pathInfo}");

            //web services
            routes.Add("Version",
                       new Route("version/",
                                    new RouteValueDictionary(
                                        new
                                        {
                                            controller = "Service",
                                            action = "Version"
                                        }),
                                    new RouteValueDictionary(),
                                    new MvcRouteHandler()));

            routes.Add("DeviceDiscovery",
                       new Route("{groupID}/{userName}/devices",
                                    new RouteValueDictionary(
                                        new
                                        {
                                            controller = "Service",
                                            action = "DeviceDiscovery",
                                            groupID = "",
                                            userName = "",
                                            password = ""
                                        }),
                                    new RouteValueDictionary(),
                                    new MvcRouteHandler()));

            routes.Add("PositionRequest",
                       new Route("{groupID}/{userName}/positions",
                                    new RouteValueDictionary(
                                        new
                                        {
                                            controller = "Service",
                                            action = "PositionRequest",
                                            groupID = "",
                                            userName = "",
                                            password = ""
                                        }),
                                    new RouteValueDictionary(),
                                    new MvcRouteHandler()));

            routes.Add("PositionWithDistanceRequest",
                       new Route("{groupID}/{userName}/positionsWithDistance",
                                    new RouteValueDictionary(
                                        new
                                        {
                                            controller = "Service",
                                            action = "PositionWithDistanceRequest",
                                            groupID = "",
                                            userName = "",
                                            password = ""
                                        }),
                                    new RouteValueDictionary(),
                                    new MvcRouteHandler()));

            routes.Add("DeviceWithEventsRequest",
                       new Route("deviceWithEvents/{deviceId}/{year}/{month}/{day}",
                                    new RouteValueDictionary(
                                        new
                                        {
                                            controller = "Service",
                                            action = "DeviceWithEventsRequest",
                                            deviceId = "",
                                            year = "",
                                            month = "",
                                            day = "",
                                            password = ""
                                        }),
                                    new RouteValueDictionary(),
                                    new MvcRouteHandler()));

            routes.Add("DeviceWithZaplonRequest",
                       new Route("deviceWithZaplon/{deviceId}/{year}/{month}/{day}",
                                    new RouteValueDictionary(
                                        new
                                        {
                                            controller = "Service",
                                            action = "DeviceWithZaplonRequest",
                                            deviceId = "",
                                            year = "",
                                            month = "",
                                            day = "",
                                            password = ""
                                        }),
                                    new RouteValueDictionary(),
                                    new MvcRouteHandler()));

            routes.Add("DeviceDistanceRequest",
                       new Route("deviceDistance/{deviceId}/{timestampFrom}/{timestampTo}",
                                    new RouteValueDictionary(
                                        new
                                        {
                                            controller = "Service",
                                            action = "DeviceDistanceRequest",
                                            deviceId = "",
                                            timestampFrom = "",
                                            timestampTo = "",
                                            password = ""
                                        }),
                                    new RouteValueDictionary(),
                                    new MvcRouteHandler()));

            routes.Add("DeviceDiscoveryForReport",
                       new Route("getDevices/{client}/{login}",
                                    new RouteValueDictionary(
                                        new
                                        {
                                            controller = "Service",
                                            action = "DeviceDiscoveryForReport",
                                            client = "",
                                            login = "",
                                            password = ""
                                        }),
                                    new RouteValueDictionary(),
                                    new MvcRouteHandler()));

            routes.MapRoute(
                "Default", // Route name
                "{controller}/{action}/{id}", // URL with parameters
                new { controller = "Home", action = "Index", id = UrlParameter.Optional } // Parameter defaults
            );

        }

        protected void Application_Start()
        {
            AreaRegistration.RegisterAllAreas();

            RegisterRoutes(RouteTable.Routes);
        }
    }
}