﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Web.Routing;
using Atlas.Consts;
using Atlas.Models;
using Atlas.Models.DAO;
using Atlas.Models.Service;
using Atlas.Logger;

namespace Atlas.Helpers
{
    public class AuthHelper
    {
        public static bool AuthenticateReportUser(string password)
        {
            if (String.IsNullOrEmpty(password))
            {
                return false;
            }   //if
            try
            {
                if (password.Equals(GlobalConsts.REPORT_ZBIORNIK_PASS))
                {
                    return true;
                }   //if
            }
            catch (Exception ex)
            {
                MyLogger.Log(ex);
            }   //catch
            return false;
        }

        public static bool AuthenticateUser(string userName, string password, string clientCode)
        {
            if ((String.IsNullOrEmpty(userName)) || (String.IsNullOrEmpty(password)) || (String.IsNullOrEmpty(clientCode)))
            {
                return false;
            }   //if
            try
            {
                List<UserXml> users = UsersXmlHelper.GetUsers();
                if (users == null)
                {
                    return false;
                }   //if
                foreach (UserXml user in users)
                {
                    if (!user.login.ToUpper().Equals(userName.ToUpper()))
                    {
                        continue;
                    }   //if
                    if (!user.client.ToUpper().Equals(clientCode.ToUpper()))
                    {
                        continue;
                    }   //if
                    if (user.pass.ToUpper().Equals(password.ToUpper()))
                    {
                        return true;
                    }   //if
                }   //for
            }
            catch (Exception ex)
            {
                MyLogger.Log(ex);
            }   //catch
            return false;
        }

        public static Login GetLoginObject(string userName, int clientId)
        {
            LoginDAO loginDAO = new LoginDAO();
            return loginDAO.FindByUserNameAndClientId(userName, clientId);
        }

        public static int GetClientId(string clientCode)
        {
            ClientDAO clientDAO = new ClientDAO();
            Client client = clientDAO.FindByClientCode(clientCode);
            if (client == null)
            {
                return -1;
            }   //if
            return client.ClientId;
        }

    }
}
