﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using Atlas.Consts;
using System.Xml.Serialization;
using System.IO;
using Atlas.Logger;

namespace Atlas.Helpers
{
    public class GlobalHelper
    {
        private static readonly DateTime EPOCH = new DateTime(1970, 1, 1, 0, 0, 0, DateTimeKind.Utc);

        public static long ConvertToTimestamp(DateTime value)
        {
            TimeSpan elapsedTime = value - EPOCH;
            return (long)elapsedTime.TotalMilliseconds;
        }

        public static DateTime ConvertToDateTime(long timestamp)
        {
            return EPOCH.AddMilliseconds(timestamp);
        }

        public static int? ParseInt(string value)
        {
            if (String.IsNullOrEmpty(value))
            {
                return null;
            }   //if
            int valueInt;
            bool result = Int32.TryParse(value, out valueInt);
            if (result == true) 
            {
                return valueInt;
            }   //if
            return null;
        }

        public static long? ParseLong(string value)
        {
            if (String.IsNullOrEmpty(value))
            {
                return null;
            }   //if
            long valueLong;
            bool result = long.TryParse(value, out valueLong);
            if (result == true)
            {
                return valueLong;
            }   //if
            return null;
        }

    }
}
