﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using Atlas.Models.DAO.Abstracts;
using Atlas.Logger;

namespace Atlas.Models.DAO
{
    public class ClientDAO : AbstractGenericDAO<Login, int>
    {
        protected override string GetKeyProperty()
        {
            return "ClientId";
        }

        public Client FindByClientCode(string code)
        {
            if (String.IsNullOrEmpty(code))
            {
                return null;
            }   //if
            try
            {
                IQueryable<Client> clients = (from c in this._entitiesDataContext.Clients
                              where (c.Code == code)
                              select c);
                if (clients == null)
                {
                    return null;
                }   //if
                if (clients.Count() > 1)
                {
                    throw new Exception(String.Format("Ambigous client code... code - {0}", code));
                }
                foreach (Client client in clients)
                {
                    return client;
                }   //for
            }
            catch (Exception ex)
            {
                MyLogger.Log(ex);
            }   //catch
            return null;
        }

    }
}
