﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using Atlas.Models.DAO.Abstracts;
using Atlas.Logger;

namespace Atlas.Models.DAO
{
    public class LoginDAO : AbstractGenericDAO<Login, int>
    {
        protected override string GetKeyProperty()
        {
            return "LoginId";
        }

        public Login FindByUserNameAndClientId(string userName, int clientId)
        {
            try
            {
                IQueryable<Login> logins = (from l in this._entitiesDataContext.Logins
                              where ((l.User == userName) && (l.ClientId == clientId))
                              select l);
                if (logins == null)
                {
                    return null;
                }   //if
                if (logins.Count() > 1)
                {
                    throw new Exception(String.Format("Ambigous login and client id... login - {0}, clientId - {1}", userName, clientId));
                }
                foreach (Login login in logins)
                {
                    return login;
                }   //for
            }
            catch (Exception ex)
            {
                MyLogger.Log(ex);
            }   //catch
            return null;
        }

    }
}
