﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using Atlas.Consts;

namespace Atlas.Models.Service
{
    public class DateTime : AbstractModel
    {
        public DateTime() : this(System.DateTime.Now) {}

        public DateTime(System.DateTime dateTime)
        {
            if (dateTime == null)
            {
                dateTime = System.DateTime.Now;
            }   //if
            dateTime = dateTime.ToUniversalTime();
            this.year = dateTime.Year;
            this.month = dateTime.Month;
            this.day = dateTime.Day;
            this.hour = dateTime.Hour;
            this.minute = dateTime.Minute;
            this.seconds = dateTime.Second;
            this.timezone = GlobalConsts.TIMEZONE;
        }

        public int year { get; set; }
        public int month { get; set; }
        public int day { get; set; }
        public int hour { get; set; }
        public int minute { get; set; }
        public int seconds { get; set; }
        public string timezone { get; set; }
    }
}
